Subject: Re: [CCAMP] WG adoption poll on draft-ye-ccamp-mw-topo-yang-02

From: "Yemin (Amy)" <[email-masked]>
Date: Fri, 8 Mar 2019 08:51:26 +0000

Hi Tom,

A new version of the draft is available at IETF site, which address your below comments. 
Please kindly review. 

Per your question: 
     augment "/nw:networks/nw:network/nw:network-types/"
          + "tet:te-topology" {
      container mw-topology {
        presence "indicates a topology type of microwave.";
no YANG 'when' and it is a presence container so will all boxes with
this YANG module have mw-topology for all te-topology?

A box can present multiple TE topologies, including microwave topologies to its client. When a topology has a mw-topology presence container it indicates that it is a microwave topology.

BR,
Amy(on behalf of co-authors)
________________________________________
发件人: CCAMP [[email-masked]] 代表 tom petch [[email-masked]]
发送时间: 2019年1月23日 18:58
收件人: Daniele Ceccarelli; [email-masked]
抄送: [email-masked]
主题: Re: [CCAMP] WG adoption poll on draft-ye-ccamp-mw-topo-yang-02

Uh huh; a YANG module from the Routing Area so you know what happens
next!

Requirements Language lacks reference RFC8174

Copyright (c) 2018 (I know, the I-D is October 22, 2018:-)

This document defines a YANG data model
lacks a reference for YANG language RFC

3.1.  The YANG Tree
no reference for the YANG Tree diagram RFC

YANG Module

YANG 'file' lacks date

YANG import statements lack references which then need adding to the I-D
References and which then need a mention in the body of the I-D lest you
get a warning for an unused reference

reference "draft-ietf-netmod-schema-mount: YANG Schema Mount";
wrong format - you need something like
         "RFC YYYY: YANG Schema Mount";
Note to RFC Editor please replace YYYY with the number assigned to
draft-ietf-netmod-schema-mount

    ID-draft authors:
hopefully this will move beyond the status of ID:-)

no copyright statement

            list mw-link-availability{
              key "availability";
              leaf availability {
                type decimal64 {

interesting choice of key type - I am unclear how this will be used -
could do with a more expansiive description

     augment "/nw:networks/nw:network/nw:network-types/"
          + "tet:te-topology" {
      container mw-topology {
        presence "indicates a topology type of microwave.";
no YANG 'when' and it is a presence container so will all boxes with
this YANG module have mw-topology for all te-topology?

IANA has assigned
It is more common to say
IANA is asked to assign
and let them make the change when they have done what you ask

7.2.  Informative References

   [I-D.ietf-netmod-schema-mount]
   [I-D.ietf-teas-yang-te-topo]

since you are importing from these, I believe that they have to be
Normative References.

Tom Petch

----- Original Message -----
From: "Daniele Ceccarelli" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, January 22, 2019 4:36 PM

> Working group,
>
>
>
> We managed to complete at least one of the IPR polling procedures
started.
>
> This starts a two weeks poll on making  draft-ye-ccamp-mw-topo-yang-02
a
> CCAMP working group document.
>
> Please send email to the list indicating "yes/support" or "no/do not
> support" and a motivation for  your reply, mandatory for the "not
support"
> and nice to have for the "support".
>
>
>
> The polling will end on Tuesday February 5th.
>
>
>
> Thanks,
>
> Daniele & Fatai
>
>
>
>

------------------------------------------------------------------------
--------

> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp
>

_______________________________________________
CCAMP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ccamp